#! /bin/sh

# /*
# *********************************************************************************
# *              learn.sh : Robocup 3D Soccer Simulation Team Zigorat             *
# *                                                                               *
# *  Date: 01/24/2009                                                             *
# *  Author: Mahdi Hamdarsi                                                       *
# *  Comments: A script to run agent specified number of times, generically       *
# *            created for learning purposes                                      *
# *                                                                               *
# *********************************************************************************
# */

# Constants declerations
Runs=1
RunCount=$1

if test ! -n ${RunCount}
  echo -n "Enter number of times to run: "
  read RunCount
fi

while test "$Runs" -le "$RunCount"
do
  echo "Starting run #$Runs"

  # Start the simulator
  cd ~
  simspark &>/dev/null &
  PID=$!

  # Wait for the simulator
  sleep 2

  # Start the agent for learning
  cd /home/Klaus/Projects/Zigorat
  ./zigorat_player

  # Wait for the agent to disconnect
  sleep 1

  kill -s 2 $PID
  
  # Wait for simulator to unload
  sleep 1
  cat /home/Klaus/Projects/Zigorat/.logfiles/Walking.log

  # Iterator update
  Runs=$[Runs+1]
done

# Learning session finished
echo "Learning session finished"

# END OF FILE
